#
# Standard e2fsprogs prologue....
#

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
top_builddir = ..
my_dir = util
INSTALL = @INSTALL@

SRCS = $(srcdir)/subst.c

ifdef NATIVE_PREFIX
HOSTCC=$(NATIVE_PREFIX)-gcc
else
HOSTCC=@CC@
endif
export HOSTCC

@MCONFIG@

.c.o:
	$(CC) -c $(ALL_CFLAGS) $< -o $@

PROGS=		subst

all:: $(PROGS)

subst.o:
	$(HOSTCC) -c $(ALL_CFLAGS) subst.c -o $@

subst: subst.o
	$(HOSTCC) $(ALL_LDFLAGS) -o subst subst.o

clean:
	$(RM) -f $(PROGS) \#* *.s *.o *.a *~ core

mostlyclean: clean

distclean: clean
	$(RM) -f .depend Makefile $(srcdir)/TAGS $(srcdir)/Makefile.in.old

# +++ Dependency line eater +++
# 
# Makefile dependencies follow.  This must be the last section in
# the Makefile.in file
#
#subst.o: $(srcdir)/subst.c
